"""
Som vi kan se i (den lyse blå ramma til funksjonen) legg_til_5, så er variabelen antall fortsatt 3.
Siden vi bruker en while-løkke som skal holde styr på hvor mange
elementer som er i lista til enhver tid, og skal stanse når lista har 5 elementer,
så må også antall endre seg. Så lenge den er på 3, vil listen fortsette å utvides med "x" inn i det uendelige.
Det her kan vi fikse ved å la være å bruke en unødvendig variabel for å holde styr på lengden og heller bruke:
"""
liste = ["A", "B", "C"]

def legg_til_5(liste):
   while len(liste) < 5:
      liste.append("x")

# eller så kan vi huske å endre på variabelen antall:

def legg_til_5(liste):
   antall = len(liste)
   while antall < 5:
      liste.append("x")
      antall += 1

"""
While vil gjøre en test hver gang den skal kjøres, og vil fortsette å kjøre så lenge testen er sann.
Når vi gjør disse endringene vil løkkevariabelen endre seg og til slutt vil ikke testen lenger være sann.
"""